'use strict';

// ** Dependencies
const Person = require('./Person');
const parseName = require('another-name-parser');


// Add an action to the Person type
// NOTE: This should now apply globally for anyone who requires('./Person')
Person.action('parse-name', {
    description: 'Parses the name of a person returning their first, and last names.',
    handler: function () {
        const name = this.get("name"); // Get the name of the person
        return parseName(name); // Parse the name of the person
    }
});

// Create a new person
Person.create("bradserbu", {
    "name": "Brad Serbu",
    "first-name": "Brad",
    "middle-name": "Thomas",
    "last-name": "Serbu"
})
    .then(person => person.run('parse-name'))
    .then(JSON.stringify)
    .then(console.log);
